/**
 * Moi (Luc Sorel, http://www.lucsorel.com/index.php?page=contact) reconnaît être l'auteur de ce code source. 
 * J'ai placé ce code source dans le domaine publique. Vous pouvez utiliser, modifier et distribuer le code 
 * source et les programmes exécutables basés sur ce code source. Veuillez toutefois prendre en considération 
 * les points suivants :
 * 
 * --- Décharge légale de garantie ---
 * Ce code source vous est présenté "en tant que tel" et sans garantie de performance ou d'intérêt commercial. 
 * L'auteur et / ou le distributeur ont pu faire des déclarations ) propos de ce code source. Ces déclarations 
 * n'ont pas valeur de garanties et ne doivent pas servir de fondements quant à l'utilisation tierce de ce code 
 * source.
 * 
 * Ce code source est mis à disposition sans aucune garantie implicite ou explicite. Étant donné la diversité 
 * des conditions contextuelles et matérielles sous lesquelles ce code source peut être utilisé, aucune garantie 
 * d'adéquation pour un usage spécifique n'est proposé. il est conseillé que l'utilisateur teste le code source 
 * consciencieusement avant de s'appuyer dessus. L'utilisateur prend l'entière responsabilité de l'utilisation 
 * de ce code source.
 */

package com.lucsorel.hesperis.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.SimplePanel;
import com.google.gwt.user.client.ui.VerticalPanel;

/**
 * Lancement de l'application Hespéris
 */
public class Hesperis implements EntryPoint
{
	final private VerticalPanel iVP_hesperis;
	final private SimplePanel iSP_connexionDeconnexion;

	public Hesperis()
	{
		// Création du widget
		iVP_hesperis = new VerticalPanel();
		iSP_connexionDeconnexion = new SimplePanel();
		iVP_hesperis.add( iSP_connexionDeconnexion );
	}

	/**
	 * Chargement de l'application
	 */
	public void onModuleLoad()
	{
		// Création du module de connexion
		afficherConnexion();

		// Affichage de l'application dans la page web
		RootPanel.get( "HesperisContainer" ).add( iVP_hesperis );
	}

	public void afficherConnexion()
	{
		Connexion lC_connexion = new Connexion( this ); 
		iSP_connexionDeconnexion.setWidget( lC_connexion.asWidget() );
	}

	public void afficherDeconnexion( boolean pb_afficherUtilisateur )
	{
		Deconnexion lD_deconnexion = new Deconnexion( this ); 
		iSP_connexionDeconnexion.setWidget( lD_deconnexion.asWidget() );
		if( pb_afficherUtilisateur )
		{
			lD_deconnexion.afficherUtilisateur();
		}
	}
}
